> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Freshdesk

> Integrate your application with the Freshdesk API

## 🚀 Quickstart

Connect to Freshdesk with Nango and see data flow in 2 minutes.

**1. Create the integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Freshdesk*.

**2. Authorize Freshdesk**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then enter your Freshdesk credentials. Later, you'll let your users do the same directly from your app.

**3. Call the Freshdesk API**

Let's make your first request to the Freshdesk API (fetch a list of tickets). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):

> [tab] cURL
>
> ```bash theme={null}
> curl "https://api.nango.dev/proxy/api/v2/tickets" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Connection-Id: <CONNECTION-ID>"
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
>
> const res = await nango.get({
>     endpoint: '/api/v2/tickets',
>     providerConfigKey: '<INTEGRATION-ID>',
>     connectionId: '<CONNECTION-ID>'
> });
>
> console.log(res.data);
> ```

Or fetch credentials with the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).

✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.

**4. Implement Nango in your app**

Follow our [Auth implementation guide](https://nango.dev/docs/guides/primitives/auth.md) to integrate Nango in your app.

To obtain your own credentials, follow the setup guide linked below.

## 📚 Freshdesk Integration Guides

Nango maintained guides for common use cases.

* [How do I link my Freshdesk account?](https://nango.dev/docs/api-integrations/freshdesk/connect)\
  Learn how to obtain your Freshdesk credentials and link your account

Official docs: [Freshdesk API docs](https://developers.freshdesk.com/api/#introduction)

## 🧩 Pre-built syncs & tools for Freshdesk

Explore Nango-provided tools in your dashboard. Extend and customize them to fit your needs.

### Others

| Function name | Description | Type |
| - | - | - |
| `add-ticket-note` | Add a private or public note to a Freshdesk ticket. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `add-ticket-watcher` | Add a watcher (agent) to a Freshdesk ticket. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `bulk-delete-tickets` | Delete multiple Freshdesk tickets in a single call. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `bulk-update-tickets` | Update multiple Freshdesk tickets in a single call. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-agent` | Create a agent in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-canned-response-folder` | Create a canned response folder in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-canned-response` | Create a canned response in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-company-field` | Create a company field in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-company` | Create a company in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-contact-field` | Create a contact field in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-contact` | Create a contact in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-forum-category` | Create a discussion forum category in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-forum` | Create a discussion forum in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-group` | Create a group in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-sla-policy` | Create an SLA policy in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-solution-article` | Create a solution article in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-solution-category` | Create a solutions category in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-solution-folder` | Create a solutions folder in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-ticket-field` | Create a ticket field in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-ticket` | Create a ticket in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-topic` | Create a discussion forum topic in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-agent` | Delete or archive a agent in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-company-field` | Delete a company field in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-company` | Permanently delete a company in Freshdesk. This cannot be undone. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-contact-field` | Delete a contact field in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-contact` | Delete or archive a contact in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-forum-category` | Delete a discussion forum category in Freshdesk | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-forum` | Delete a discussion forum in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-group` | Permanently delete a group in Freshdesk. This cannot be undone. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-solution-article` | Permanently delete a solution article and all of its translated versions in Freshdesk. This cannot be undone. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-solution-category` | Delete a solutions category in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-solution-folder` | Delete a solutions folder in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-ticket-field` | Delete a ticket field in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-ticket` | Delete or archive a ticket in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-topic` | Delete a discussion forum topic in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `forward-ticket` | Forward a Freshdesk ticket to one or more email addresses. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-agent` | Retrieve a single agent from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-canned-response` | Retrieve a single canned response from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-company` | Retrieve a single company from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-contact` | Retrieve a single contact from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-forum-category` | Retrieve a single discussion forum category from Freshdesk | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-forum` | Retrieve a single discussion forum from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-group` | Retrieve a single group from Freshdesk | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-role` | Retrieve a single agent role from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-solution-article` | Retrieve a single solution article from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-solution-category` | Retrieve a single solutions category from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-solution-folder` | Retrieve a single solutions folder from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-ticket-field` | Retrieve a single ticket field from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-ticket` | Retrieve a single ticket from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-topic` | Retrieve a single discussion forum topic from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-agents` | List agents from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-companies` | List companies from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-contacts` | List contacts from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-groups` | List groups from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-solution-articles` | List solution articles from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-tickets` | List tickets from Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `make-contact-agent` | Convert a Freshdesk contact into an agent. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `merge-contacts` | Merge one or more Freshdesk contacts into a primary contact. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `merge-tickets` | Merge one or more Freshdesk tickets. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `reply-to-ticket` | Reply to a Freshdesk ticket. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `restore-contact` | Restore a soft-deleted Freshdesk contact. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `restore-ticket` | Restore a deleted Freshdesk ticket. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `send-contact-invite` | Send a portal invitation email to a Freshdesk contact | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-agent` | Update a agent in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-canned-response-folder` | Update a canned response folder in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-canned-response` | Update a canned response in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-company-field` | Update a company field in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-company` | Update a company in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-contact-field` | Update a contact field in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-contact` | Update a contact in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-forum-category` | Update a discussion forum category in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-forum` | Update a discussion forum in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-group` | Update a group in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-sla-policy` | Update an SLA policy in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-solution-article` | Update a solution article in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-solution-category` | Update a solutions category in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-solution-folder` | Update a solutions folder in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-ticket-field` | Update a ticket field in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-ticket` | Update a ticket in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-topic` | Update a discussion forum topic in Freshdesk. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `agents` | Sync agents from Freshdesk. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `articles` | Recursively fetches a list of solution articles. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `business-hours` | Sync business hours configurations from Freshdesk | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `canned-responses` | Recursively fetches canned responses from Freshdesk canned response folders. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `companies` | Sync companies from Freshdesk. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `company-fields` | Sync company field definitions from Freshdesk. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `contact-fields` | Sync contact field definitions from Freshdesk. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `contacts` | Sync contacts from Freshdesk. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `forum-topics` | Recursively fetches discussion forum topics from Freshdesk (categories -> forums -> topics), mirroring the categories -> folders -> articles traversal used by the articles sync. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `groups` | Sync groups from Freshdesk | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `roles` | Sync agent roles from Freshdesk. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `satisfaction-ratings` | Sync ticket satisfaction ratings from Freshdesk. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `sla-policies` | Sync SLA policies from Freshdesk | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `ticket-fields` | Sync ticket field definitions from Freshdesk. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `tickets` | Sync tickets from Freshdesk | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `time-entries` | Sync ticket time entries from Freshdesk. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.